Stock Information
Provide stable and reliable stock information API interface, covering multiple markets including A-shares, US stocks, and Hong Kong stocks. Free and paid interfaces support real-time quotes, historical data, intraday K-lines, financial data, and company fundamentals. Fast integration with free trial available.
/stock/infoRequest Parameters
typestringRequiredMarket type
regionenumRequiredMarket code, supports HK(Hong Kong)、SH(Shanghai)、SZ(Shenzhen)、US(US stocks)、SG(Singapore)、JP(Japan)、TW(Taiwan)、IN(India)、TH(Thailand)、DE(Germany)、MX(Mexico)、MY(Malaysia)、TR(Turkey)、ES(Spain)、NL(Netherlands)、GB(Great Britain)etc.
exchangestringExchange, Use exchange to differentiate stocks in the same market. Empty returns primary exchange only. See /symbol/list for exchange codes.
codestringRequiredProduct code
Response Parameters
codenumberResponse code
msgstringResponse description
dataobject▶Response result
cstringSymbol code
nstringSymbol name
tstringSymbol type
estringExchange
sstringIndustry sector
istringIndustry segment
rstringCountry code
bdstringCompany description
wustringCompany website URL
mcbstringTotal market capitalization
tsostringTotal shares outstanding
petstringPrice-to-earnings ratio
fccstringCurrency code
Code Examples
import requests
url = "https://api.itick.org/stock/info?type=stock®ion=HK&code=700"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
https://api.itick.org/stock/info?type=stock®ion=HK&code=700, Run query
Response Result
{
"code": 0,
"msg": "ok",
"data": {
"c": "AAPL",
"n": "Apple Inc.",
"t": "stock",
"e": "NASDAQ",
"s": "Electronic Technology",
"i": "Telecommunications Equipment",
"r": "USD",
"bd": "Apple, Inc. engages in the design, manufacture, and sale of smartphones, personal computers, tablets, wearables and accessories, and other varieties of related services. It operates through the following geographical segments: Americas, Europe, Greater China, Japan, and Rest of Asia Pacific. The Americas segment includes North and South America. The Europe segment consists of European countries, as well as India, the Middle East, and Africa. The Greater China segment comprises China, Hong Kong, and Taiwan. The Rest of Asia Pacific segment includes Australia and Asian countries. Its products and services include iPhone, Mac, iPad, AirPods, Apple TV, Apple Watch, Beats products, AppleCare, iCloud, digital content stores, streaming, and licensing services. The company was founded by Steven Paul Jobs, Ronald Gerald Wayne, and Stephen G. Wozniak in April 1976 and is headquartered in Cupertino, CA.",
"wu": "http://www.apple.com",
"mcb": 3436885784335,
"tso": 14840389413,
"pet": 35.3865799154784,
"fcc": "USD"
}
}